Gönderen Konu: Amd HD5000 ekran kartı kurulumu fglrx bulamıyorum  (Okunma sayısı 523 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı Cheops

  • Yeni Penguen
  • *
  • İleti: 35
  • Aydın ATMACA
  • Dağıtım: LMDE - Pardus 3.0
Merhaba...


 Daha önce ki Mint sürümlerinde rahatlıkla kapalı kaynak sürücümü kurabiliyorken şimdi fglrx  bulamıyorum depoda yok dışarıdan da yüklemek istemedim... Ne yapmam gerek

Mesajlar Birleştirildi.
Kod: [Seç]
cheops[member=4003]atmaca[/member] ~/catalyst $ inxi -SMGxx
System:    Host: atmaca Kernel: 4.13.0-36-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Xfce 4.12.3 (Gtk 2.24.28) dm: lightdm Distro: Linux Mint 18.3 Sylvia
Machine:   Mobo: ASRock model: N68C-GS FX Bios: American Megatrends v: P1.30 date: 07/04/2012
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Juniper PRO [Radeon HD 5750] bus-ID: 02:00.0 chip-ID: 1002:68be
           Display Server: X.Org 1.18.4 drivers: ati,radeon (unloaded: fbdev,vesa) Resolution: 1280x720@60.00hz
           GLX Renderer: AMD JUNIPER (DRM 2.50.0 / 4.13.0-36-generic, LLVM 5.0.0)
           GLX Version: 3.0 Mesa 17.2.8 Direct Rendering: Yes
cheops[member=4003]atmaca[/member] ~/catalyst $
Kod: [Seç]
cheops[member=4003]atmaca[/member] ~/catalyst $ glxinfo | grep render
direct rendering: Yes
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
Extended renderer info (GLX_MESA_query_renderer):
OpenGL renderer string: AMD JUNIPER (DRM 2.50.0 / 4.13.0-36-generic, LLVM 5.0.0)
    GL_ARB_conditional_render_inverted, GL_ARB_conservative_depth,
    GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_packed_depth_stencil,
    GL_ARB_conditional_render_inverted, GL_ARB_conservative_depth,
    GL_NV_blend_square, GL_NV_conditional_render, GL_NV_depth_clamp,
    GL_OES_element_index_uint, GL_OES_fbo_render_mipmap,
cheops[member=4003]atmaca[/member] ~/catalyst $
Kod: [Seç]
cheops[member=4003]atmaca[/member] ~/catalyst $ lspci | egrep 'VGA|3D|Display'
02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Juniper PRO [Radeon HD 5750]
cheops[member=4003]atmaca[/member] ~/catalyst $ ^C
cheops[member=4003]atmaca[/member] ~/catalyst $
Kod: [Seç]
cheops[member=4003]atmaca[/member] ~/catalyst $ xrandr
Screen 0: minimum 320 x 200, current 1280 x 720, maximum 8192 x 8192
DisplayPort-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 connected 1280x720+0+0 (normal left inverted right x axis y axis) 16mm x 9mm
   1920x1080i    60.00 +  50.00    59.94 
   1920x1080     24.00    23.98 
   1280x720      60.00*   50.00    59.94 
   1024x768      75.03    70.07    60.00 
   1440x480i     59.94 
   832x624       74.55 
   800x600       72.19    75.00    60.32    56.25 
   720x576       50.00 
   720x576i      50.00 
   720x480       60.00    59.94 
   720x480i      60.00    59.94 
   640x480       75.00    72.81    66.67    60.00    59.94 
DVI-0 disconnected (normal left inverted right x axis y axis)
DVI-1 disconnected (normal left inverted right x axis y axis)
cheops[member=4003]atmaca[/member] ~/catalyst $
Kod: [Seç]
cheops[member=4003]atmaca[/member] ~/catalyst $ cat /etc/X11/xorg.conf
cat: /etc/X11/xorg.conf: Böyle bir dosya ya da dizin yok
cheops[member=4003]atmaca[/member] ~/catalyst $
Kod: [Seç]
cheops[member=4003]atmaca[/member] ~/catalyst $ dpkg -l | egrep 'nvidia|bumblebee|primus|prime|virtualgl|fglrx'
ii  nvidia-prime-applet                          1.0.6                                        all          An applet for NVIDIA Prime
cheops[member=4003]atmaca[/member] ~/catalyst $
« Son Düzenleme: 15 Mart 2018, 17:53:12 Gönderen: Cheops »

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 15746
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19 & LMDE 3
  • Masaüstü: Cinnamon 3.8 & Mate 1.20
Ynt: Amd HD5000 ekran kartı kurulumu fglrx bulamıyorum
« Yanıtla #1 : 15 Mart 2018, 21:21:57 »
@Cheops , AMD/ATI artık fglrx sürücüsü desteğini kesti. Güncel aygıtlar için açık kaynak kodlu amdpu sürücüsü geliştiriliyor, daha ski donanımlar için radeon sürücüsünü kullanmanız gerekiyor. Forumdaki AMD/ATI bölümünde bulunla ilgili konularımız mevcut.

Fglrx sürücüsünü kullanmak istiyorsanız, eski LTS sürüm olan Linux Mint 17.x serisini kullanmanız gerekiyor.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı Cheops

  • Yeni Penguen
  • *
  • İleti: 35
  • Aydın ATMACA
  • Dağıtım: LMDE - Pardus 3.0
Ynt: Amd HD5000 ekran kartı kurulumu fglrx bulamıyorum
« Yanıtla #2 : 18 Mart 2018, 12:09:40 »
Zaten ATI ekran kartına destek ne zaman oldu ki... Eskiden 5000 serisi öncesi destek vermiyor diyorduk şimdi yeni ekran kartları dışında destek vermiyor... ATI AMD ekran kartı almak cidden risk oldu artık...

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 15746
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19 & LMDE 3
  • Masaüstü: Cinnamon 3.8 & Mate 1.20
Ynt: Amd HD5000 ekran kartı kurulumu fglrx bulamıyorum
« Yanıtla #3 : 18 Mart 2018, 17:04:09 »
ATI AMD ekran kartı almak cidden risk oldu artık...

AMD artık amdgpu sürücüsüne açık kaynak olarak destek veriyor. Yani amdgpu sürücüsünü kullanabilecek yeni nesil bir AMD GPU aldığınızda, artık kapalı kaynak bir sürücü arayıp kurmanıza gerek kalmayacak. Sadece profesyonel 3D uygulamalarında amdgpu-pro sürücüsü gerekli olabiliyor. Açık kaynak amdgpu sürücüsü doğrudan AMD tarafından desteklendiği için oyun vb. 3D performans isteyen uygulamalarda isteneni veriyor. Kısacası yeni nesil AMD GPU alırsanız sorun yaşama ihtimaliniz, Nvidia GPU'ya göre daha az. En azından 3. parti bir sürücü kurmanıza gerek yok. Intel dahili sürücüye sahip hibrit sistemlerde de AMD seçeneği daha iyi duruyor.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı Leopard

  • Forum Sorumlusu
  • *****
  • İleti: 966
  • Dağıtım: Linux Mint 18.3 64-bit
  • Masaüstü: Cinnamon
  • Grafik Kartı: Nvidia Geforce GTX 1050
  • İşlemci: Intel Core i7 7700HQ
Ynt: Amd HD5000 ekran kartı kurulumu fglrx bulamıyorum
« Yanıtla #4 : 18 Mart 2018, 23:32:37 »
@Cheops

Açık kaynak sürücünün çekinilecek bir yanı yok , hatta daha iyi kapalı kaynak sürücüden.

https://www.phoronix.com/scan.php?page=article&item=amdgpu-1730-radeonsi&num=2

Mavi ve yeşil kapalı kaynak AMD sürücüsü , mor ve kırmızı ise açık kaynak.

Eğer kart ile gpu tabanlı hesaplama vb kullanım senaryonuz yoksa kapalı kaynak sürücünün manası yok.

Bütün grafikleri inceleyin ve kararınızı verin derim.
The only people who should kill are those prepared themselves to die!



Çevrimdışı Cheops

  • Yeni Penguen
  • *
  • İleti: 35
  • Aydın ATMACA
  • Dağıtım: LMDE - Pardus 3.0
Ynt: Amd HD5000 ekran kartı kurulumu fglrx bulamıyorum
« Yanıtla #5 : 19 Mart 2018, 02:22:20 »
@Cheops

Açık kaynak sürücünün çekinilecek bir yanı yok , hatta daha iyi kapalı kaynak sürücüden.

https://www.phoronix.com/scan.php?page=article&item=amdgpu-1730-radeonsi&num=2

Mavi ve yeşil kapalı kaynak AMD sürücüsü , mor ve kırmızı ise açık kaynak.

Eğer kart ile gpu tabanlı hesaplama vb kullanım senaryonuz yoksa kapalı kaynak sürücünün manası yok.

Bütün grafikleri inceleyin ve kararınızı verin derim.
Yahu öyle çok abartı işlemler yapmıyorum Age Of Mythology Extend Edition çalıştırsın yeter... Açık kaynak kodlu ile ekranda sorunlar çıktı :(

Çevrimdışı Leopard

  • Forum Sorumlusu
  • *****
  • İleti: 966
  • Dağıtım: Linux Mint 18.3 64-bit
  • Masaüstü: Cinnamon
  • Grafik Kartı: Nvidia Geforce GTX 1050
  • İşlemci: Intel Core i7 7700HQ
Ynt: Amd HD5000 ekran kartı kurulumu fglrx bulamıyorum
« Yanıtla #6 : 19 Mart 2018, 09:05:33 »
Lutris veya PlayOnLinux scriptleri ile deneyin , zira Wine'da gerekli yapılandırmayı yapamamış olmanız muhtemel.

Bu arada şu çıktıyı da alalım.

Kod: [Seç]
wine --version
The only people who should kill are those prepared themselves to die!



Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 15746
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19 & LMDE 3
  • Masaüstü: Cinnamon 3.8 & Mate 1.20
Ynt: Amd HD5000 ekran kartı kurulumu fglrx bulamıyorum
« Yanıtla #7 : 19 Mart 2018, 11:40:01 »
Fglrx sürücüsünü kullanmak istiyorsanız, Linux Mint 17.x LTS serisini deneyebilirsiniz.

Linux Mint 18.x serisinde oyun performansı ile ilgili sorun varsa yeni bir konu açmanız daha uygun olacak.

Eğer sürücü ile ilgili hususlar netleştiyse bu konuyu etiketleyip kilitleyelim ve açacağınız oyun performansı ile ilgili yeni konudan devam edelim.
« Son Düzenleme: 19 Mart 2018, 11:41:40 Gönderen: Butterfly »
Elimizden geldiğince dilimizin döndüğünce...